# Uses of Class
org.apache.lucene.index.SegmentWriteState

Packages that use SegmentWriteState
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of SegmentWriteState in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`abstract DocValuesConsumer`
DocValuesFormat.`fieldsConsumer(SegmentWriteState state)`
Returns a `DocValuesConsumer` to write docvalues to the index.
`abstract FieldsConsumer`
PostingsFormat.`fieldsConsumer(SegmentWriteState state)`
Writes a new segment
`abstract KnnVectorsWriter`
KnnVectorsFormat.`fieldsWriter(SegmentWriteState state)`
Returns a `KnnVectorsWriter` to write the vectors to the index.
`abstract PointsWriter`
PointsFormat.`fieldsWriter(SegmentWriteState state)`
Writes a new segment
`abstract void`
PostingsWriterBase.`init(IndexOutput termsOut, SegmentWriteState state)`
Called once after startup, before any terms have been added.
`abstract NormsConsumer`
NormsFormat.`normsConsumer(SegmentWriteState state)`
Returns a `NormsConsumer` to write norms to the index.

## Uses of SegmentWriteState in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`abstract FlatVectorsWriter`
FlatVectorsFormat.`fieldsWriter(SegmentWriteState state)`
Returns a `FlatVectorsWriter` to write the vectors to the index.

## Uses of SegmentWriteState in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`DocValuesConsumer`
Lucene90DocValuesFormat.`fieldsConsumer(SegmentWriteState state)`
`PointsWriter`
Lucene90PointsFormat.`fieldsWriter(SegmentWriteState state)`
`NormsConsumer`
Lucene90NormsFormat.`normsConsumer(SegmentWriteState state)`
Constructors in org.apache.lucene.codecs.lucene90 with parameters of type SegmentWriteState
Modifier
Constructor
Description
``
`Lucene90PointsWriter(SegmentWriteState writeState)`
Uses the defaults values for `maxPointsInLeafNode` (512) and `maxMBSortInHeap` (16.0)
``
`Lucene90PointsWriter(SegmentWriteState writeState, int maxPointsInLeafNode, double maxMBSortInHeap)`
Full constructor

## Uses of SegmentWriteState in org.apache.lucene.codecs.lucene90.blocktree

Constructors in org.apache.lucene.codecs.lucene90.blocktree with parameters of type SegmentWriteState
Modifier
Constructor
Description
``
`Lucene90BlockTreeTermsWriter(SegmentWriteState state, PostingsWriterBase postingsWriter, int minItemsInBlock, int maxItemsInBlock)`
Create a new writer.
``
`Lucene90BlockTreeTermsWriter(SegmentWriteState state, PostingsWriterBase postingsWriter, int minItemsInBlock, int maxItemsInBlock, int version)`
Expert constructor that allows configuring the version, used for bw tests.

## Uses of SegmentWriteState in org.apache.lucene.codecs.lucene912

Methods in org.apache.lucene.codecs.lucene912 with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`FieldsConsumer`
Lucene912PostingsFormat.`fieldsConsumer(SegmentWriteState state)`
`void`
Lucene912PostingsWriter.`init(IndexOutput termsOut, SegmentWriteState state)`
Constructors in org.apache.lucene.codecs.lucene912 with parameters of type SegmentWriteState
Modifier
Constructor
Description
``
`Lucene912PostingsWriter(SegmentWriteState state)`
Sole constructor.

## Uses of SegmentWriteState in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`FlatVectorsWriter`
Lucene99FlatVectorsFormat.`fieldsWriter(SegmentWriteState state)`
`KnnVectorsWriter`
Lucene99HnswScalarQuantizedVectorsFormat.`fieldsWriter(SegmentWriteState state)`
`KnnVectorsWriter`
Lucene99HnswVectorsFormat.`fieldsWriter(SegmentWriteState state)`
`FlatVectorsWriter`
Lucene99ScalarQuantizedVectorsFormat.`fieldsWriter(SegmentWriteState state)`
Constructors in org.apache.lucene.codecs.lucene99 with parameters of type SegmentWriteState
Modifier
Constructor
Description
``
`Lucene99FlatVectorsWriter(SegmentWriteState state, FlatVectorsScorer scorer)`
``
`Lucene99HnswVectorsWriter(SegmentWriteState state, int M, int beamWidth, FlatVectorsWriter flatVectorWriter, int numMergeWorkers, TaskExecutor mergeExec)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, byte bits, boolean compress, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`

## Uses of SegmentWriteState in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield with parameters of type SegmentWriteState
Modifier and Type
Method
Description
`final DocValuesConsumer`
PerFieldDocValuesFormat.`fieldsConsumer(SegmentWriteState state)`
`final FieldsConsumer`
PerFieldPostingsFormat.`fieldsConsumer(SegmentWriteState state)`
`KnnVectorsWriter`
PerFieldKnnVectorsFormat.`fieldsWriter(SegmentWriteState state)`

## Uses of SegmentWriteState in org.apache.lucene.index

Constructors in org.apache.lucene.index with parameters of type SegmentWriteState
Modifier
Constructor
Description
``
`SegmentWriteState(SegmentWriteState state, String segmentSuffix)`
Create a shallow copy of `SegmentWriteState` with a new segment suffix.